Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.wps.pb.property
Class PropertyFactory

    java.lang.Object
      com.ibm.wps.pb.property.PropertyFactory

Deprecated. since 6.0.1 Support of the IBM portlet API may be removed in a future release of WebSphere Portal. Use of the Java Portlet API (javax.portlet) is recommended instead.

    public class PropertyFactory

extends java.lang.Object

A factory class which must be used to create instances of interfaces in the `com.ibm.wps.pb.property` package.

Since:
  5.0

Method Summary
`static Action` | `createAction(PortletSettings settings)` Deprecated. Creates and returns an `Action` object.
`static Parameter` | `createParameter(Property property, Action action)` Deprecated. Creates and returns a `Parameter` object associated with the parent action and containing the specified property.
`static Property` | `createProperty(PortletSettings settings)` Deprecated. Creates and returns a `Property` object.
`static PropertyValue` | `createPropertyValue(Property property, java.lang.Object value)` Deprecated. Creates and returns a `PropertyValue` object encapsulating a property and a value.
`static PropertyValue` | `createPropertyValue(Property property, java.lang.Object value, java.lang.String changeType)` Deprecated. Creates and returns a `PropertyValue` object encapsulating a property and a value and a reason for change.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createAction

    public static Action createAction(PortletSettings settings)
                               throws InvalidPropertyException

  Deprecated.
  Creates and returns an `Action` object. The required fields on the `Action` must be initialized using setters.

  Parameters:
    `settings` - the `PortletSettings` identifying the caller
  Returns:
    the `Action` object
  Throws:
    `InvalidPropertyException` - if argument is invalid
  See Also:
    `Action`

### createProperty

    public static Property createProperty(PortletSettings settings)
                                   throws InvalidPropertyException

  Deprecated.
  Creates and returns a `Property` object. The required fields on the `Property` must be initialized using setters.

  Parameters:
    `settings` - the `PortletSettings` identifying the caller
  Returns:
    the `Property` object
  Throws:
    `InvalidPropertyException` - if argument is invalid
  See Also:
    `Property`

### createParameter

    public static Parameter createParameter(Property property,
                                            Action action)
                                     throws InvalidPropertyException

  Deprecated.
  Creates and returns a `Parameter` object associated with the parent action and containing the specified property. The required fields on the `Parameter` must be initialized using setters.

  Parameters:
    `property` - the `Property` identifying the contained property
    `action` - the `Action` identifying the parent action
  Returns:
    the `Parameter` object
  Throws:
    `InvalidPropertyException` - if argument is invalid
  See Also:
    `Parameter`

### createPropertyValue

    public static PropertyValue createPropertyValue(Property property,
                                                    java.lang.Object value)
                                             throws InvalidPropertyException

  Deprecated.
  Creates and returns a `PropertyValue` object encapsulating a property and a value. The value must be an instance of the java class the property is associated with.

  Parameters:
    `property` - the `Property` identifying the contained property
    `value` - the value
  Returns:
    the `PropertyValue` object
  Throws:
    `InvalidPropertyException` - if argument is invalid
  See Also:
    `PropertyValue`

### createPropertyValue

    public static PropertyValue createPropertyValue(Property property,
                                                    java.lang.Object value,
                                                    java.lang.String changeType)
                                             throws InvalidPropertyException

  Deprecated.
  Creates and returns a `PropertyValue` object encapsulating a property and a value and a reason for change. The value must be an instance of the java class the property is associated with.

  Parameters:
    `property` - the `Property` identifying the contained property
    `value` - the value
    `changeType` - the change type. Must be one of the "CHANGE_TYPE" constants defined in `PropertyValue`
  Returns:
    the `PropertyValue` object
  Throws:
    `InvalidPropertyException` - if argument is invalid

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD